For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/tools/post-api-tools-v1email-health-check.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.
Email health check
POST
/api/tools/v1/email-health-check
1const response = await fetch("https://reloop.sh/api/tools/v1/email-health-check", {2 method: "POST",3 headers: {4 "Authorization": "Bearer re_123456789",5 "Content-Type": "application/json",6 },7 body: JSON.stringify({8 "email": "you@mailinator.com"9})10});11
12const data = await response.json();1{2 "input": "example_input",3 "kind": "email",4 "domain": "send.example.com",5 "unicodeDomain": "example_unicodeDomain",6 "verdict": "invalid",7 "isValidSyntax": true,8 "syntaxFailure": "example_syntaxFailure",9 "isDisposable": true,10 "disposableMatch": {11 "kind": "exact",12 "domain": "send.example.com",13 "pattern": "example_pattern"14 },15 "isAllowlisted": true,16 "isRoleAddress": true,17 "isFreeProvider": true,18 "signals": {19 "syntax": "pass",20 "disposable": "pass",21 "role": "pass",22 "freeProvider": "pass"23 },24 "mxRecords": [25 "example_mxRecords"26 ],27 "confidence": 0,28 "riskScore": 0,29 "flags": [30 "INVALID_SYNTAX"31 ],32 "health": {33 "status": "pass",34 "summary": "example_summary",35 "state": "deliverable",36 "score": 0,37 "reason": "accepted_email",38 "user": "example_user",39 "domain": "send.example.com",40 "tag": "example_tag",41 "attributes": {42 "free": true,43 "role": true,44 "disposable": true,45 "acceptAll": true,46 "tag": true,47 "numericalCharacters": 0,48 "alphabeticalCharacters": 0,49 "unicodeSymbols": 0,50 "mailboxFull": true,51 "noReply": true,52 "secureEmailGateway": true53 },54 "mailServer": {55 "smtpProvider": "example_smtpProvider",56 "mxRecord": "example_mxRecord",57 "mxRecords": [58 "example_mxRecords"59 ],60 "implicitMxRecord": true,61 "hasMx": true62 }63 }64}Body Parameters
emailstringRequired
An email address or a bare domain.
- Minimum length:
1 - Maximum length:
400
Was this page helpful?
- Need help? Contact Support.
- Chat with Reloop developers on Discord.
- Check out our changelog.
- Questions? Contact Sales.
- LLM? Read llms.txt.